## Apache Zeta Components Manual :: Docs For Class ezcPhpGeneratorException

### PhpGenerator::ezcPhpGeneratorException

### Class ezcPhpGeneratorException

General exception class for the PhpGenerator package.

Source for this file: /PhpGenerator/src/exceptions/php_generator_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPhpGeneratorException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcPhpGeneratorFlowException | Flow exceptions are thrown when control structures like if and while are closed out of order.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message )` Constructs a new ezcPhpGeneratorException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message )

Constructs a new ezcPhpGeneratorException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcPhpGeneratorFlowException::__construct()` | Constructs a new flow exception.

Documentation generated by phpDocumentor 1.4.3